Skip to content

Attach Google after confirming the same member, organization and email.

POST
/account/security/oauth/google/complete
curl --request POST \
--url https://api.siteqwality.com/account/security/oauth/google/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "oauth_token": "example" }'
Media type application/json

Complete an in-session OAuth provider attach.

object
oauth_token
required

Token from the Stytch redirect (?token= on the callback URL).

string
Example generated
{
"oauth_token": "example"
}

Google connected

Media type application/json
object
ok
required
boolean
Example generated
{
"ok": true
}

Missing session token or email mismatch

Missing or invalid authentication

Endpoint requires a user session

Internal server error

Sign-in service unavailable